Subject: Request: Better Emacs self-documentation for customization

From: Florian Beck <[email-masked]>
Date: Sun, 20 Mar 2011 01:07:46 +0100

Emacs integrates any function I write into its documentation; the help 
function provides a link to the source.

What I would like is for Emacs to track my customisations:

  - When I redefine an Emacs function I would like a link to the 
previous/original definition, `describe-function' only provides a link 
to the current one.
  - 'describe-variable', on the other hand, remembers the original 
definition, but doesn't remember the place where I changed the value.
  - `describe-key' only provides a link to the function, not to the 
place the key was defined.

Obviously, this is not easy, because evaluations don't necessarily have 
a fixed place and key bindings can be defined in many ways. Regardless, 
I think this is something on which Emacs could improve.

-- 
Florian Beck